org.apache.ignite.internal.processors.cache.persistence

## Interface DbCheckpointListener.Context

Enclosing interface:
  DbCheckpointListener

    public static interface DbCheckpointListener.Context

Context with information about current snapshots.

### Method Summary

Methods
`boolean` `needToSnapshot(String cacheOrGrpName)`
`boolean` `nextSnapshot()`
`PartitionAllocationMap` `partitionStatMap()`

### Method Detail

#### nextSnapshot

    boolean nextSnapshot()

#### partitionStatMap

    PartitionAllocationMap partitionStatMap()

Returns:
  Partition allocation statistic map

#### needToSnapshot

    boolean needToSnapshot(String cacheOrGrpName)

Parameters:
  `cacheOrGrpName` - Cache or group name.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017